import './card-proj-agent.css'
import {OrderedListOutlined, NumberOutlined, SearchOutlined} from "@ant-design/icons";
import { Tag } from 'antd';

export default function CardProjAgent() {
    return (
        <div className="card-proj-agent">
            <div className="title">
                <div className="left">
                    <a href="/#">项目名称</a>
                </div>
                <div className="right">
                    <span className="agent">代理商：SDFSDF</span>
                    <span className="orderNo">订单号：XXXXXXXXXXXXX</span>
                </div>
            </div>
            <hr/>
            <div className="body">
                <div className="line">
                    <div className="left">
                        <span>金额￥：500</span>
                    </div>
                    <div className="right">
                        <span>2024-03-05 17:22:02</span>
                    </div>
                </div>
                <div className="line">
                    <div className="left">
                        <span>
                            <OrderedListOutlined/>
                            <a href="/#">协议清单</a>
                        </span>
                        <span>
                            <NumberOutlined />
                            <a href="/#">补正数量</a>
                        </span>
                    </div>
                    <div className="right">
                        <span>
                            <SearchOutlined/>
                            <a href="/#">查看结果</a>
                        </span>
                    </div>
                </div>
            </div>
            <hr/>
            <div className="tail">
                <span className="status order-status">
                    <Tag color="default">待结单</Tag>
                    <Tag color="success">已接单</Tag>
                    <Tag color="error">未接单</Tag>
                </span>
                <span className="status agreement-status">
                    <Tag color="success">已签署协议</Tag>
                    <Tag color="error">未签署协议</Tag>
                </span>
                <span className="status process-status">
                    <Tag color="default">进行中</Tag>
                    <Tag color="success">完成</Tag>
                    <Tag color="error">终止</Tag>
                </span>
            </div>
        </div>
    )
}